/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Estimated Fetal Weight Percentile Equations And Tables
 */
public enum EnumCM_EstimatedFetalWeightPercentileEquationsAndTables 
{
	//CID 12016 Estimated Fetal Weight Percentile Equations And Tables
	FWP_BY_GA_HADLOCK_1991("FWP by GA, Hadlock 1991"),
	FWP_BY_GA_WILLIAMS_1982("FWP by GA, Williams, 1982"),
	FWP_BY_GA_ALEXANDER_1996("FWP by GA, Alexander, 1996"),
	MALE_SINGLETON_BWP_BY_GA_ARBUCKLE_1993("Male Singleton BWP by GA, Arbuckle 1993"),
	FEMALE_SINGLETON_BWP_BY_GA_ARBUCKLE_1993("Female Singleton BWP by GA, Arbuckle 1993"),
	MALE_TWINS_BWP_BY_GA_ARBUCKLE_1993("Male Twins BWP by GA, Arbuckle 1993"),
	FEMALE_TWINS_BWP_BY_GA_ARBUCKLE_1993("Female Twins BWP by GA, Arbuckle 1993"),
	FWP_BY_GA_BRENNER_1976("FWP by GA, Brenner 1976"),
	FWP_BY_MA_HADLOCK_1985("FWP by MA, Hadlock 1985");	

	private String value;
	
	EnumCM_EstimatedFetalWeightPercentileEquationsAndTables(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
